loci.formats.in

## Class BaseZeissReader.Tag

- java.lang.Object
- - loci.formats.in.BaseZeissReader.Tag

- Enclosing class:
    BaseZeissReader

      public class BaseZeissReader.Tag
      extends java.lang.Object

  Content of a single tag from a Tags block.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `category`
    `private BaseZeissReader.Context` | `context`
    `private int` | `index`
    `private int` | `keyid`
    `private java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tag(int index, BaseZeissReader.Context context)` Constructor.
    `Tag(int keyid, java.lang.String value, BaseZeissReader.Context context)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCategory()`
    `int` | `getIndex()`
    `java.lang.String` | `getKey()`
    `protected java.lang.String` | `getKey(int tagID)` Return the string corresponding to the given ID.
    `int` | `getKeyID()`
    `java.lang.String` | `getValue()`
    `void` | `setCategory(int category)`
    `void` | `setIndex(int index)`
    `void` | `setKey(int keyid)`
    `void` | `setValue(java.lang.String value)`
    `java.lang.String` | `toString()`
    `boolean` | `valid()` Check if the tag is valid (key, value and category have been set).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### index

          private int index

    - #### keyid

          private int keyid

    - #### value

          private java.lang.String value

    - #### category

          private int category

    - #### context

          private BaseZeissReader.Context context

  - ### Constructor Detail

    - #### Tag

          public Tag(int index,
                     BaseZeissReader.Context context)

      Constructor. All variables are initialized to be invalid to permit later validation of correct parsing.
      Parameters:
        `index` - the index number of the tag.
        `context` - the context (main, scaling or plane).

    - #### Tag

          public Tag(int keyid,
                     java.lang.String value,
                     BaseZeissReader.Context context)

      Constructor. The key id will be automatically set.
      Parameters:
        `keyid` - the key number of the tag.
        `value` - the value of the tag.
        `context` - the context (main, scaling or plane).

  - ### Method Detail

    - #### setKey

          public void setKey(int keyid)

    - #### getKey

          public java.lang.String getKey()

    - #### getKeyID

          public int getKeyID()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getValue

          public java.lang.String getValue()

    - #### setIndex

          public void setIndex(int index)

    - #### getIndex

          public int getIndex()

    - #### setCategory

          public void setCategory(int category)

    - #### getCategory

          public int getCategory()

    - #### valid

          public boolean valid()

      Check if the tag is valid (key, value and category have been set).
      Returns:
        true if valid, otherwise false.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getKey

          protected java.lang.String getKey(int tagID)

      Return the string corresponding to the given ID.

Copyright © 2026 Open Microscopy Environment